PUT   alerts/recipient/{recipient_id}

Updates the recipient (and associated SMS/email targets) matching the recipient_id.

URL Parameters

NameDescription
recipient_id

Recipient Id. Type: numeric.

Remarks

By default, two or more recipients cannot have the same name. Use the request query parameter allow_duplicates to override this.

IMPORTANT: This call cannot be used if recipient has more than one sms or more than one email target.

Request example and description

curl --request PUT "https://api-asm1.apica.io/v3/alerts/recipient/567?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E" --header "Content-Type: application/json" --data-raw "{
  "name": "My target",
  "description": "Description",
  "phone": "+01234567890",
  "phone_description": "My phone",
  "sms_body": "Alert from Apica",
  "email": "target@email.com",
  "email_description": "My e-mail",
  "email_body": "Alert from Apica",
  "enabled": true,
  "service_name": [
    "WebHook alert service name"
  ],
  "slack_configuration": {
    "ApiId": "slack url",
    "Channel": "slack channel",
    "Title": "alert title",
    "Message": "alert message"
  },
  "splunk_configuration": {
    "Username": "splunk username",
    "Password": "splunk password",
    "Host": "host",
    "MessageType": "message source",
    "Title": "alert title",
    "Message": "alert message"
  },
  "service_now_configuration": {
    "Host": "host",
    "ClientId": "client ID",
    "ClientSecret": "client secret",
    "Username": "client username",
    "Password": "client password",
    "Title": "description",
    "Caller": "caller",
    "TriggerParams": [
      {
        "Key": "sample string 1",
        "Value": "sample string 2"
      },
      {
        "Key": "sample string 1",
        "Value": "sample string 2"
      },
      {
        "Key": "sample string 1",
        "Value": "sample string 2"
      }
    ],
    "ResolveParams": [
      {
        "Key": "sample string 1",
        "Value": "sample string 2"
      },
      {
        "Key": "sample string 1",
        "Value": "sample string 2"
      },
      {
        "Key": "sample string 1",
        "Value": "sample string 2"
      }
    ]
  },
  "ops_genie_configuration": {
    "Host": "host",
    "ApiKey": "apikey",
    "Message": "message",
    "Alias": "alias",
    "Description": "description",
    "Teams": [
      {
        "IdType": "sample string 1",
        "Name": "sample string 2",
        "Type": "sample string 3",
        "Key": "sample string 4"
      },
      {
        "IdType": "sample string 1",
        "Name": "sample string 2",
        "Type": "sample string 3",
        "Key": "sample string 4"
      },
      {
        "IdType": "sample string 1",
        "Name": "sample string 2",
        "Type": "sample string 3",
        "Key": "sample string 4"
      }
    ],
    "VisibleTo": [
      {
        "IdType": "sample string 1",
        "Name": "sample string 2",
        "Type": "sample string 3",
        "Key": "sample string 4"
      },
      {
        "IdType": "sample string 1",
        "Name": "sample string 2",
        "Type": "sample string 3",
        "Key": "sample string 4"
      },
      {
        "IdType": "sample string 1",
        "Name": "sample string 2",
        "Type": "sample string 3",
        "Key": "sample string 4"
      }
    ],
    "Actions": [
      {
        "IdType": "sample string 1",
        "Name": "sample string 2",
        "Type": "sample string 3",
        "Key": "sample string 4"
      },
      {
        "IdType": "sample string 1",
        "Name": "sample string 2",
        "Type": "sample string 3",
        "Key": "sample string 4"
      },
      {
        "IdType": "sample string 1",
        "Name": "sample string 2",
        "Type": "sample string 3",
        "Key": "sample string 4"
      }
    ],
    "Tags": [
      {
        "IdType": "sample string 1",
        "Name": "sample string 2",
        "Type": "sample string 3",
        "Key": "sample string 4"
      },
      {
        "IdType": "sample string 1",
        "Name": "sample string 2",
        "Type": "sample string 3",
        "Key": "sample string 4"
      },
      {
        "IdType": "sample string 1",
        "Name": "sample string 2",
        "Type": "sample string 3",
        "Key": "sample string 4"
      }
    ],
    "Details": [
      {
        "IdType": "sample string 1",
        "Name": "sample string 2",
        "Type": "sample string 3",
        "Key": "sample string 4"
      },
      {
        "IdType": "sample string 1",
        "Name": "sample string 2",
        "Type": "sample string 3",
        "Key": "sample string 4"
      },
      {
        "IdType": "sample string 1",
        "Name": "sample string 2",
        "Type": "sample string 3",
        "Key": "sample string 4"
      }
    ],
    "Entity": "entity",
    "Source": "source",
    "Priority": "priority",
    "User": "user",
    "Note": "note"
  },
  "custom_configuration": {
    "ServiceName": "service_name",
    "AuthenticationParams": {
      "Method": "method",
      "ClientId": "client_id",
      "ClientSecret": "client_secret",
      "Username": "username",
      "Password": "password",
      "AccessTokenName": "access_token_name",
      "RefreshTokenName": "refresh_token_name"
    },
    "EndpointParams": {
      "AuthenticationUrl": "authentication url",
      "AuthenticationMethod": "authentication method",
      "ResponseParams": [
        {
          "Id": 1,
          "ResponseParameterXpath": "sample string 2",
          "Placeholder": "sample string 3",
          "Expiring": true
        },
        {
          "Id": 1,
          "ResponseParameterXpath": "sample string 2",
          "Placeholder": "sample string 3",
          "Expiring": true
        },
        {
          "Id": 1,
          "ResponseParameterXpath": "sample string 2",
          "Placeholder": "sample string 3",
          "Expiring": true
        }
      ],
      "ParameterDefinitions": [
        {
          "Id": 1,
          "IsTrigger": true,
          "IsResolve": true,
          "IsAccessToken": true,
          "IsRefreshToken": true,
          "IsIntermediate": true,
          "Name": "sample string 7",
          "Value": "sample string 8",
          "Placeholder": "sample string 9"
        },
        {
          "Id": 1,
          "IsTrigger": true,
          "IsResolve": true,
          "IsAccessToken": true,
          "IsRefreshToken": true,
          "IsIntermediate": true,
          "Name": "sample string 7",
          "Value": "sample string 8",
          "Placeholder": "sample string 9"
        },
        {
          "Id": 1,
          "IsTrigger": true,
          "IsResolve": true,
          "IsAccessToken": true,
          "IsRefreshToken": true,
          "IsIntermediate": true,
          "Name": "sample string 7",
          "Value": "sample string 8",
          "Placeholder": "sample string 9"
        }
      ],
      "TriggerPayloadParams": [
        {
          "Id": 1,
          "ContentType": "sample string 2",
          "Data": "sample string 3",
          "Severities": "sample string 4"
        },
        {
          "Id": 1,
          "ContentType": "sample string 2",
          "Data": "sample string 3",
          "Severities": "sample string 4"
        },
        {
          "Id": 1,
          "ContentType": "sample string 2",
          "Data": "sample string 3",
          "Severities": "sample string 4"
        }
      ],
      "ResolvePayloadParam": {
        "Id": 1,
        "ContentType": "sample string 2",
        "Data": "sample string 3",
        "Severities": "sample string 4"
      },
      "TriggerUrl": "trigger url",
      "TriggerMethod": "trigger method",
      "ResolveUrl": "resolve url",
      "ResolveMethod": "resolve method",
      "TriggerSubRequests": [
        {
          "Url": "sample string 1",
          "Method": "sample string 2",
          "Repeat": true,
          "Condition": "sample string 4",
          "Headers": [
            {
              "Name": "sample string 1",
              "Value": "sample string 2"
            },
            {
              "Name": "sample string 1",
              "Value": "sample string 2"
            },
            {
              "Name": "sample string 1",
              "Value": "sample string 2"
            }
          ]
        },
        {
          "Url": "sample string 1",
          "Method": "sample string 2",
          "Repeat": true,
          "Condition": "sample string 4",
          "Headers": [
            {
              "Name": "sample string 1",
              "Value": "sample string 2"
            },
            {
              "Name": "sample string 1",
              "Value": "sample string 2"
            },
            {
              "Name": "sample string 1",
              "Value": "sample string 2"
            }
          ]
        },
        {
          "Url": "sample string 1",
          "Method": "sample string 2",
          "Repeat": true,
          "Condition": "sample string 4",
          "Headers": [
            {
              "Name": "sample string 1",
              "Value": "sample string 2"
            },
            {
              "Name": "sample string 1",
              "Value": "sample string 2"
            },
            {
              "Name": "sample string 1",
              "Value": "sample string 2"
            }
          ]
        }
      ],
      "ResolveSubRequests": [
        {
          "Url": "sample string 1",
          "Method": "sample string 2",
          "Repeat": true,
          "Condition": "sample string 4",
          "Headers": [
            {
              "Name": "sample string 1",
              "Value": "sample string 2"
            },
            {
              "Name": "sample string 1",
              "Value": "sample string 2"
            },
            {
              "Name": "sample string 1",
              "Value": "sample string 2"
            }
          ]
        },
        {
          "Url": "sample string 1",
          "Method": "sample string 2",
          "Repeat": true,
          "Condition": "sample string 4",
          "Headers": [
            {
              "Name": "sample string 1",
              "Value": "sample string 2"
            },
            {
              "Name": "sample string 1",
              "Value": "sample string 2"
            },
            {
              "Name": "sample string 1",
              "Value": "sample string 2"
            }
          ]
        },
        {
          "Url": "sample string 1",
          "Method": "sample string 2",
          "Repeat": true,
          "Condition": "sample string 4",
          "Headers": [
            {
              "Name": "sample string 1",
              "Value": "sample string 2"
            },
            {
              "Name": "sample string 1",
              "Value": "sample string 2"
            },
            {
              "Name": "sample string 1",
              "Value": "sample string 2"
            }
          ]
        }
      ]
    }
  }
}"
NameType Required Description
nameStringNo

The recipient's name.

descriptionStringNo

The recipient's description.

phoneStringNo

Phone number in format +XXXXXXXXX..., where X is a digit (from 2 to 17 digits). A comma-separated list of such phone numbers is also supported.

phone_descriptionStringNo

The phone description.

sms_bodyStringNo

The SMS message body.

emailStringNo

The recipient's email.

email_descriptionStringNo

The recipient's email description.

email_bodyStringNo

The email message body.

enabledBooleanNo

The recipient is enabled.

service_nameArrayNo

WebHook service name (OpsGenie, Custom, Slack, ServiceNow, Splunk)

slack_configurationObjectNo

No documentation available.

slack_urlStringNo

Endpoint Params path including the customer-specific service path. Example: T15676QR7/B9035RN9D/w57fxRXTE4KWcuGM2eXs6mD1

slack_channelStringNo

Target user or team to get the alerts

alert_titleStringNo

Alert message title

alert_messageStringNo

Alert message description

splunk_configurationObjectNo

No documentation available.

splunk_usernameStringNo

Splunk user name for login.

splunk_passwordStringNo

Splunk password for login.

splunk_hostStringNo

The IP address for the Splunk installation.

splunk_message_typeStringNo

The message source type.

alert_titleStringNo

Alert message title

alert_messageStringNo

Alert message description

service_now_configurationObjectNo

No documentation available.

service_now_hostStringNo

The name of server where ServiceNow's API can be reached. Example: dev22045.service-now.com

service_now_client_idStringNo

The OAuth 2 client ID for the ServiceNow application

service_now_client_secretStringNo

The OAuth 2 client secret for the ServiceNow application

service_now_usernameStringNo

The ServiceNow instance login username

service_now_passwordStringNo

The ServiceNow instance login password

service_now_titleStringNo

Short description of the incident

service_now_callerStringNo

The user ID to use as incident reporter

service_now_trigger_paramsArrayNo

Optional parameters to create a new incident.

keyStringNo

No documentation available.

valueStringNo

No documentation available.

service_now_resolve_paramsArrayNo

Optional parameters when resolving an incident.

keyStringNo

No documentation available.

valueStringNo

No documentation available.

ops_genie_configurationObjectNo

No documentation available.

ops_genie_hostStringNo

The name of server where OpsGenie's API can be reached. Usally it's https://api.opsgenie.com

ops_genie_api_keyStringNo

The API key of OpsGenie.

ops_genie_messageStringNo

Message of the alert.

ops_genie_aliasStringNo

Client-defined identifier of the alert, that is also the key element of alert deduplication.

ops_genie_descriptionStringNo

Description field of the alert that is generally used to provide a detailed information about the alert.

ops_genie_teamObjectNo

Teams that the alert will be routed to send notifications. If the API Key belongs to a team integration, this field will be overwritten with the owner team.

id_typeStringNo

No documentation available.

nameStringNo

No documentation available.

typeStringNo

No documentation available.

keyStringNo

No documentation available.

ops_genie_visible_toObjectNo

Teams and users that the alert will become visible to without sending any notification.

id_typeStringNo

No documentation available.

nameStringNo

No documentation available.

typeStringNo

No documentation available.

keyStringNo

No documentation available.

ops_genie_actionsObjectNo

Custom actions that will be available for the alert.

id_typeStringNo

No documentation available.

nameStringNo

No documentation available.

typeStringNo

No documentation available.

keyStringNo

No documentation available.

ops_genie_tagsObjectNo

Tags of the alert.

id_typeStringNo

No documentation available.

nameStringNo

No documentation available.

typeStringNo

No documentation available.

keyStringNo

No documentation available.

ops_genie_detailsObjectNo

Map of key-value pairs to use as custom properties of the alert.

id_typeStringNo

No documentation available.

nameStringNo

No documentation available.

typeStringNo

No documentation available.

keyStringNo

No documentation available.

ops_genie_entityStringNo

Entity field of the alert that is generally used to specify which domain alert is related to.

ops_genie_sourceStringNo

Source field of the alert. Default value is IP address of the incoming request.

ops_genie_priorityStringNo

Priority level of the alert. Possible values are P1, P2, P3, P4 and P5. Default value is P3.

ops_genie_userStringNo

Display name of the request owner.

ops_genie_noteStringNo

Additional note that will be added while creating the alert.

custom_configurationObjectNo

No documentation available.

custom_service_nameStringNo

Name of the service to send alerts to.

custom_authentication_paramsObjectNo

No documentation available.

custom_authentication_methodStringNo

HTTP method to use for calling the authentication server.

custom_authentication_client_idStringNo

Client identifier for OAuth2 authentication.

custom_authentication_client_secretStringNo

Application/client password for OAuth2 authentication.

custom_authentication_usernameStringNo

The user login username.

custom_authentication_passwordStringNo

The user login password.

custom_authentication_access_token_nameStringNo

The parameter name to the response to an Access Token (A) request.Example: / access_token

custom_authentication_refresh_token_nameStringNo

The parameter name to the response to a Refresh Token (F) request.Example: / refresh_token

custom_endpoint_paramsObjectNo

No documentation available.

custom_authentication_urlStringNo

URL for the authentication server.

custom_authentication_methodStringNo

Authentication method to use for the service.["None", "Basic", "OAuth2"]

custom_response_paramsObjectNo

No documentation available.

custom_response_idIntegerNo

id

custom_response_parameter_xpathStringNo

Response Parameter Xpath

custom_response_placeholderStringNo

placeholder

custom_response_expiringBooleanNo

expiring

custom_response_parameter_definitionsObjectNo

No documentation available.

custom_parameter_definition_idIntegerNo

No documentation available.

custom_parameter_definition_is_triggerBooleanNo

No documentation available.

custom_parameter_definition_is_resolveBooleanNo

No documentation available.

custom_parameter_definition_is_access_tokenBooleanNo

No documentation available.

custom_parameter_definition_is_refresh_tokenBooleanNo

No documentation available.

custom_parameter_definition_is_intermediateBooleanNo

No documentation available.

custom_parameter_definition_nameStringNo

No documentation available.

custom_parameter_definition_valueStringNo

No documentation available.

custom_parameter_definition_placeholderStringNo

No documentation available.

custom_response_trigger_payload_paramsObjectNo

No documentation available.

custom_payload_param_idIntegerNo

No documentation available.

custom_payload_param_content_typeStringNo

No documentation available.

custom_payload_param_dataStringNo

No documentation available.

custom_payload_param_severitiesStringNo

No documentation available.

custom_response_resolve_payload_paramObjectNo

No documentation available.

custom_payload_param_idIntegerNo

No documentation available.

custom_payload_param_content_typeStringNo

No documentation available.

custom_payload_param_dataStringNo

No documentation available.

custom_payload_param_severitiesStringNo

No documentation available.

custom_trigger_urlStringNo

URL.

custom_trigger_methodStringNo

Method - ["POST","GET","PUT","DELETE","PATCH"]

custom_resolve_urlStringNo

URL.

custom_resolve_methodStringNo

Method - ["POST","GET","PUT","DELETE","PATCH"]

custom_trigger_sub_requestsObjectNo

No documentation available.

custom_sub_request_urlStringNo

URL

custom_sub_request_methodStringNo

Method - ["POST","GET","PUT","DELETE","PATCH"]

custom_sub_request_repeatBooleanNo

No documentation available.

custom_sub_request_conditionStringNo

No documentation available.

custom_sub_request_headersObjectNo

No documentation available.

custom_sub_request_headersStringNo

name

custom_sub_request_headersStringNo

value

custom_resolve_sub_requestsObjectNo

No documentation available.

custom_sub_request_urlStringNo

URL

custom_sub_request_methodStringNo

Method - ["POST","GET","PUT","DELETE","PATCH"]

custom_sub_request_repeatBooleanNo

No documentation available.

custom_sub_request_conditionStringNo

No documentation available.

custom_sub_request_headersObjectNo

No documentation available.

custom_sub_request_headersStringNo

name

custom_sub_request_headersStringNo

value